/*------------------------------------------------------------------------------
 lib/djv_image/glx.h
 
 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef _DJV_IMAGE_GLX_H
#define _DJV_IMAGE_GLX_H

#include <djv_image/gl.h>

namespace djv_image {
namespace gl {

//------------------------------------------------------------------------------
// GLX

class _Glx_Device : public Device
{
public:

  _Glx_Device();
  ~_Glx_Device();

  void init() throw (Error);
  
private:

  Window _window;
  GLXContext _context;
};

//------------------------------------------------------------------------------
// Labels

static const Str
  error_glew = "GLEW",
  error_glew_init = "Initialize: %%",
  error_glx = "GLX",
  error_glx_init = "Initialize",
  error_glx_context_create = "Context Create",
  error_glx_context_bind = "Context Bind",
  error_x11 = "X11",
  error_x11_window = "Window";

}
}

#endif
