/*------------------------------------------------------------------------------
 lib/djv_image/image.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_image/image.h>

namespace djv_image {

Image::Image()
{}

Image::Image(const data::Info & in, const uint8_t * p) :
  Data(in, p)
{}

Dbg & operator << (Dbg & dbg, const Image & in)
{
  return dbg << in.info() << " profile/" << in.profile.type;
}

}
