/*------------------------------------------------------------------------------
 lib/djv_ui/layout_fnc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_ui/layout.h>

namespace djv_ui {
namespace layout {

void group(const List<Item *> & in)
{
  List<Item *> tmp, tmp2;
  
  for (uint i = 0; i < in.size(); ++i)
  {
    if (in[i]->label_align()) tmp += in[i]->label_align();
    if (in[i]->group_align()) tmp2 += in[i]->group_align();
  }
  
  for (uint i = 0; i < in.size(); ++i)
  {
    if (in[i]->label_align()) in[i]->label_align()->group(tmp);
    if (in[i]->group_align()) in[i]->group_align()->group(tmp2);
  }
}

/*void group(const List<Item *> & in)
{
  List<Item *> tmp, tmp2;
  
  for (uint i = 0; i < in.size(); ++i)
  {
    if (in[i]->label_align()) tmp += in[i]->label_align();
    else tmp += in[i]->group_align();
  }
  
  for (uint i = 0; i < in.size(); ++i)
  {
    if (in[i]->label_align()) in[i]->label_align()->group(tmp);
    else in[i]->group_align()->group(tmp);
  }
}*/

}
}
