/*------------------------------------------------------------------------------
 lib/djv_ui/menu_fnc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_ui/menu.h>

namespace djv_ui {
namespace menu {

Str label_list(const Str & in, int index)
{
  return str::Format("%%%%. %%").
    arg(index < 9 ? "&" : "").
    arg(index + 1).arg(in);
}

const Str
  menu_messages = "Messages",
  menu_prefs = "Preferences",
  menu_info = "Information",
  menu_about = "About",
  menu_exit = "Exit";

}
}

