/*------------------------------------------------------------------------------
 bin/djv_convert/etc.h

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_CONVERT_ETC_H
#define DJV_CONVERT_ETC_H

#include <djv_image/image.h>
#include <djv_image/time.h>

namespace djv_convert {
using namespace djv_base;

//------------------------------------------------------------------------------
// Labels

Str label_image(const djv_image::Info &, const djv_image::Time &);

extern const Str
  label_timeout,
  label_estimate,
  label_complete,
  label_elapsed,
  label_cmdln_help;

extern const Str
  error_cmdln_input,
  error_cmdln_output;

}

#endif

