/*------------------------------------------------------------------------------
 include/djv_image/image.h
 
 Images
 ------
 
 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#ifndef DJV_IMAGE_H
#define DJV_IMAGE_H

#include <djv_image/data.h>
#include <djv_image/gl_data.h>
#include <djv_image/tag.h>

namespace djv_image {

//------------------------------------------------------------------------------
// Image

class Image : public Data
{
public:

  Image();
  Image(const data::Info & in, const uint8_t * p = 0);

  Tag tag;
  Profile profile;
};

//------------------------------------------------------------------------------
// Debugging

Dbg & operator << (Dbg &, const Image &);

}

#endif

