/*------------------------------------------------------------------------------
 lib/djv_base/app_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_base/app.h>

namespace djv_base {
namespace app {

const Str label_info =
"General:\n"
"* Version: %%\n"
"* Search Path: %%\n";

const Str label_about =
"DJV Imaging %%\n"
"http://djv.sourceforge.net\n"
"Made in Berkeley, CA, USA\n"
"Copyright (c) 2004-2008 Darby Johnston. All rights reserved.\n"
"\n"
"Redistribution and use in source and binary forms, with or without "
"modification, are permitted provided that the following conditions are met:\n"
"\n"
"* Redistributions of source code must retain the above copyright notice, "
"this list of conditions, and the following disclaimer.\n"
"* Redistributions in binary form must reproduce the above copyright notice, "
"this list of conditions, and the following disclaimer in the documentation "
"and/or other materials provided with the distribution.\n"
"* Neither the names of the copyright holders nor the names of any "
"contributors may be used to endorse or promote products derived from this "
"software without specific prior written permission.\n"
"\n"
"THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "
"\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED "
"TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR "
"PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR "
"CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, "
"EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, "
"PROCUREMENT OF SUBSTITUE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; "
"OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, "
"WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR "
"OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF "
"ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n"
"\n"
"This software is based in part on the works of:\n"
"\n"
"* FFmpeg - http://ffmpeg.mplayerhq.hu, Copyright (c) 2000-2003 Fabrice "
"Bellard, LGPL License http://www.gnu.org/licenses/lgpl.html.\n"
"* FLTK - http://www.fltk.org, Copyright 1998-2006, Bill Spitzak.\n"
"* GLEW - http://glew.sourceforge.net, Copyright (C) 2002-2007, Milan Ikits, "
"<milan ikits[]ieee org> Copyright (C) 2002-2007, Marcelo E. Magallon, "
"<mmagallo[]debian org> Copyright (C) 2002, Lev Povalahev, All rights "
"reserved.\n"
"* libjpeg - http://www.ijg.org, Copyright (c) 1991-1998, Thomas G. Lane.\n"
"* libpng - http://www.libpng.org, Copyright (c) 2004, 2006 Glenn "
"Randers-Pehrson.\n"
"* libquicktime - http://libquicktime.sourceforge.net, Copyright (c) 2002 "
"Heroine Virtual Ltd., Copyright (c) 2002-2007 Members of the libquicktime "
"project, LGPL License http://www.gnu.org/licenses/lgpl.html.\n"
"* libtiff - http://www.libtiff.org, Copyright (c) 1988-1997 Sam Leffler, "
" Copyright (c) 1991-1997 Silicon Graphics, Inc.\n"
"* OpenEXR - http:://www.openexr.com, Copyright (c) 2004, Industrial Light & "
"Magic, a division of Lucasfilm Entertainment Company Ltd.\n"
"* PortAudio - http://www.portaudio.com, Copyright (c) 1999-2006 Phil Burk and "
" Ross Bencina.\n";

const Str label_cmdln_help =
"Miscellaneous:\n"
"\n"
"* -help, -h\n"
"  Display help message.\n"
"\n"
"* -info\n"
"  Display information message.\n"
"\n"
"* -about\n"
"  Display about message.\n"
"\n"
"Command line options are case-insensitive.\n";

const Str
  error_cmdln = "Command Line",
  error_format = "%%: %%";

}
}

