/*------------------------------------------------------------------------------
 plugin/djv_jpeg/etc.cxx
 
 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

//#define DJV_DBG

#include "base.h"

namespace djv_jpeg {

extern "C" {

void djv_jpeg_error(libjpeg::j_common_ptr in)
{
  Jpeg_Error * error = (Jpeg_Error *)in->err;
  
  in->err->format_message(in, error->msg);
  
  ::longjmp(error->jump, 1);
}

void djv_jpeg_warn(libjpeg::j_common_ptr in, int level)
{
  if (level > 0) return;

  Jpeg_Error * error = (Jpeg_Error *)in->err;
  
  in->err->format_message(in, error->msg);
  
  ::longjmp(error->jump, 1);
}

}

}

