#include "widget.h"
#include <djv_ui/app.h>
#include <djv_ui/window.h>

namespace misc {

class App : public djv_ui::app::App
{
public:

  App(int argc, char ** argv);
  ~App();
  
  void update();

private:

  DJV_CALLBACK(App, exit_callback, bool) { exit(); }

  Project _project;
  djv_ui::window::Widget * _window;
  Timeline_Widget * _widget;  
};

}
